# $Revision: 1.24 $, $Date: 2010/06/06 08:32:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Compress
%define		pnam	LZO
Summary:	Compress::LZO Perl module - interface to LZO compression library
Summary(pl.UTF-8):	Moduł Perla Compress::LZO - interfejs do biblioteki kompresji LZO
Name:		perl-Compress-LZO
Version:	1.08
Release:	8
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4266ea0cb23817dd02ead4f983c2604f
Patch0:		%{name}-lzo2.patch
URL:		http://search.cpan.org/dist/Compress-LZO/
BuildRequires:	lzo-devel >= 2.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory. perl-LZO provides LZO bindings for
Perl - i.e. you can access the LZO library from your Perl scripts
thereby compressing ordinary Perl strings.

%description -l pl.UTF-8
LZO jest przenośną biblioteką do bezstratnej kompresji danych,
napisaną w ANSI C. Oferuje szybką kompresję i bardzo szybką, nie
wymagającą pamięci, dekompresję. perl-LZO udostępnia interfejs dla
Perla - pozwalający na dostęp do biblioteki LZO ze skryptów perlowych,
do kompresji zwykłych łańcuchów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%{perl_vendorarch}/Compress/LZO.pm
%dir %{perl_vendorarch}/auto/Compress/LZO
%{perl_vendorarch}/auto/Compress/LZO/autosplit.ix
%{perl_vendorarch}/auto/Compress/LZO/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/LZO/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Compress-LZO.spec,v $
Revision 1.24  2010/06/06 08:32:13  arekm
- release 8

Revision 1.23  2009/03/14 11:23:53  hawk
- release 7

Revision 1.22  2008/02/23 22:00:29  glen
- release 6

Revision 1.21  2008-02-10 12:02:14  arekm
- rel 5

Revision 1.20  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.19  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:26  baggins
- converted to UTF-8

Revision 1.17  2006/12/22 19:12:16  qboosh
- unified

Revision 1.16  2006/12/11 23:43:12  glen
- lzo2 ready; rel 4

Revision 1.15  2006/12/11 23:39:47  glen
- add generic URL

Revision 1.14  2004/11/03 22:30:10  paladine
- formatting

Revision 1.13  2004/06/05 18:10:33  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.11  2004/05/06 18:09:21  ankry
- fixed perl-devel BR

Revision 1.10  2004/05/05 11:01:47  ankry
- tests added, cosmetics

Revision 1.9  2004/04/18 22:17:09  ankry
- license fixes and cosmetics

Revision 1.8  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:15  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/04 08:46:56  radek
- version 1.08

Revision 1.1  2002/07/21 12:26:22  qboosh
- new
